'''
Created on Oct 19, 2012

A user declaration for an MLS specification
@author: carr
'''

class MLSUserDeclaration(object):


    def __init__(self,user,clearance,categoryList):
        '''
        
        :param user: the user id
        :param clearance: the clearance level for a user
        :param categoryList: the set of categories for a user
        '''
        self.user = user
        self.clearance = clearance
        self.categorySet = set(categoryList)
        
    def getUserId(self): return self.user
    def getClearence(self): return self.clearance
    def getCategories(self):return self.categorySet
    